QGIS3: reshape doesn't listen to "avoid intersection"

2017-10-16 12:43 AM - Tobias Wendorff

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25183

Description

I don't know if it's even planned, but you could expect that reshaping of a polygon follows the rules of "snapping and digitizing options". In

advanced settings, i've chosen "avoid intersection". It works for new created polygons, but not for reshaping.

History

#1 - 2017-10-16 12:55 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

This works as expected on 2.18 so it's a regression.

#2 - 2018-02-13 11:40 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce. I've tested with 2.18 and 3.0 and the behavior is the same.

Note that reshaping with "avoid intersections" does NOT avoid intersections within the same layer, and it did not in 2.18 either.

Is this still an issue with current nightlies?

#3 - 2018-02-26 01:41 PM - Andreas Wicht

Note that reshaping with "avoid intersections" does NOT avoid intersections within the same layer, and it did not in 2.18 either.

Is that really the case? With my settings (2.18.16) I can't produce overlapping areas with the Reshape tool within the same layer except for this case

#16985.

#4 - 2018-04-04 09:38 PM - Tobias Wendorff

Can be closed, all got fixed.

#5 - 2018-04-04 10:03 PM - Nyall Dawson
- Resolution set to invalid

- Status changed from Feedback to Closed
